Security update

Protecting you from fraudsters and keeping your details private is important to us. So we’re updating our websites to only work with the safest, most up-to-date internet browsers.

The changes – in a nutshell

 All secure websites are beginning to move over to a more secure version of encryption called TLS 1.2- the latest version of TLS. TLS stands for Transport Layer Security, and it provides a safe, encrypted way of transferring secure data between the user and us. It is the new normal for highly secure websites.

These changes will come into effect on 28 February 2018.

Any device that is not using TLS 1.2 will not be able to connect to us.

What do you need to do?

A high percentage of browsers currently support TLS 1.2, however, there is a chance that it may not be enabled on your browser settings.  This could be the case if you’re using an older version of your web browser.

To upgrade to TLS 1.2, please review the instructions below for the browser you’re using to connect to The People’s Pension and B&CE websites:

Please note that the below is publicly available information on how to upgrade your browser and we’re not responsible for the guidance, nor can we provide any technical support. If you need guidance for your chosen browser, please refer to your browsers help pages.

Internet Explorer

  1. Open Internet Explorer
  2. Click Alt+T and select Internet Options
  3. Select the Advanced tab
  4. Scroll down to the Security section
  5. Locate and check Use TLS 1.2
  6. Then, press the OK button

If you need to update your Internet Explorer browser, download it here »

Google Chrome

  1. Open Google Chrome
  2. Click Alt+F and select Settings
  3. Scroll down and select Show advanced settings
  4. Scroll down to the System section and click on Open proxy settings
  5. Select the Advanced tab
  6. Scroll down to the Security section
  7. Locate and check Use TLS 1.2
  8. Then, press the OK button

If you need to update your Chrome browser, download it here »

FireFox

  1. Open FireFox
  2. Type in “about:config” in the URL bar and press Enter
  3. Scroll down to “security.tls.version.max” and press Enter
  4. Set the value to 3
  5. Then, press the OK button

Note: You will receive a warning message that “This might void your warranty”. Please accept this message.

If you need to update your Firefox browser, download it here »

Opera

  1. Open Opera
  2. Click Ctrl+F12
  3. Click on Security
  4. Click on Security Protocols…
  5. Check on Enable TLS 1.2
  6. Press the OK button
  7. Then, press the OK button

Safari

There are no options for enabling SSL protocols. If you’re using Safari version 7 or greater, TLS 1.2 is automatically enabled.

We’re doing this to:

  • improve the security of our website to the highest possible standard.
  • encourage our users to keep their browser up-to-date so we are able to offer a better web experience- which is faster, smoother and displays in the best possible format.
Page Options: